Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | List of all members
eZURITool Class Reference

## Static Public Member Functions
static & | split (&$uri)
static & | merge (&$uri_array)
static & | decode (&$text)
static & | encode (&$text)

## Detailed Description

! eZCommon The eZURITool has several static functions for handling URIs.

A class with static functions for handling URIs.

Example code

$uri_array = eZURITool::split( $URI );
// Decodes a part of the URI to a normal text
// For instance the string "Test+text" would become "Test text"
$text_part = eZURITool::decode( $uri_array[3] );
// Add some text and encode it back
$text_part .= " more text";
$uri_array[3] = eZURITool::encode( $text_part );
$URI = eZURITool::merge( $uri_array );
eZURITool\decode
static & decode(&$text)
Definition: ezuritool.php:81
eZURITool\split
static & split(&$uri)
Definition: ezuritool.php:58
eZURITool\merge
static & merge(&$uri_array)
Definition: ezuritool.php:69
eZURITool\encode
static & encode(&$text)
Definition: ezuritool.php:93

Definition at line 51 of file ezuritool.php.

## Member Function Documentation

## ◆ decode()

static& eZURITool::decode | ( | & | $text | ) |
| static

Decodes an encoded string into a normal string used in PHP code.

See also
  encode

Definition at line 81 of file ezuritool.php.

## ◆ encode()

static& eZURITool::encode | ( | & | $text | ) |
| static

Encodes a normal string into a string usable in URIs, these strings does not contain spaces.

See also
  decode

Definition at line 93 of file ezuritool.php.

## ◆ merge()

static& eZURITool::merge | ( | & | $uri_array | ) |
| static

Merges an split URI array into a full URI and returns it.

See also
  split

Definition at line 69 of file ezuritool.php.

References $uri.

## ◆ split()

static& eZURITool::split | ( | & | $uri | ) |
| static

Splits the URI into an array and returns the array.

See also
  merge

Definition at line 58 of file ezuritool.php.

References $uri.

The documentation for this class was generated from the following file:

- ezuritool.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.